Bug 50769 - neat ethernet configuration does not do any checking on TCP/IP information entered.
neat ethernet configuration does not do any checking on TCP/IP information en...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-02 18:40 EDT by Panic
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-06 18:29:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Panic 2001-08-02 18:40:07 EDT
Description of Problem:

#ifup eth0
ipcalc: bad ip address: 5000.4000.30.1
ipcalc: bad ip address: 5000.4000.30.1
ipcalc: bad ip address: 5000.4000.30.1
arping unknown host 5000.4000.30.1
Error, some other host already uses address 5000.4000.30.1

Now, this is an error on multiple levels -- neat should not allow blatantly
invalid IP addresses, and the scripts are returning that this address is
already in use. :)


How Reproducible:

Always

Steps to Reproduce:
1. Set an invalid IP address in neat when configuring an Ethernet interface 
2. Note that neat accepts it as valid, but you have to close the program to
write the configuration.
3. Attempt to start the interface, and note the errors.

Actual Results:

IP address was accepted, and there was an attempt to start the interface.

Expected Results:

At the very least, neat should not accept blatantly invalid IP addresses,
and the scripts should not return that an invalid IP address is already in use.

Additional Information:
Comment 1 Trond Eivind Glomsrxd 2001-08-02 18:42:00 EDT
Feature - not interfering means it has a better chance of working with IPv6.
Comment 2 Panic 2001-08-02 18:53:50 EDT
then you'd better remove the 15-character cap on the IP entry, or it won't be
very useful for IPv6.
Comment 3 Glen Foster 2001-08-06 18:29:17 EDT
This defect is considered SHOULD-FIX for Fairfax.
Comment 4 Harald Hoyer 2001-08-08 11:16:25 EDT
changed length to 23 chars

Note You need to log in before you can comment on or make changes to this bug.